<?php
/**
 * Main functions Magazinex Customizer
 */

function magazinex_define_constants() {
	if( ! defined( 'MAGAZINEX_ADMIN_DIR' ) ) {
		define( 'MAGAZINEX_ADMIN_DIR', trailingslashit( get_template_directory() . '/customizer' ) );
	}
	if( ! defined( 'MAGAZINEX_ADMIN_URI' ) ) {
		define( 'MAGAZINEX_ADMIN_URI', trailingslashit( get_template_directory_uri() . '/customizer/assets' ) );
	}
}
add_action( 'init', 'magazinex_define_constants' );

/**
 * 	Modify sections.
 */
function magazinex_customizer_modify_sections( $wp_customize ) {

	$wp_customize->get_section( 'static_front_page' )->priority  = 100;
	$wp_customize->get_control( 'background_color'  )->section   = 'background_image';
	$wp_customize->get_section( 'background_image'  )->title     = esc_html__( 'Background', 'magazinex-lite' );

}
add_action( 'customize_register', 'magazinex_customizer_modify_sections' );


function magazinex_static_front_register($wp_customize) {
	if ( get_pages() ) {
  		$wp_customize->add_section( 'static_front_page', array(
			    'title'          => esc_html__( 'Static Front Page', 'magazinex-lite' ),
			    'theme_supports' => 'static-front-page',
			    'priority'       => 120,
			    'description'    => esc_html__( 'Your theme supports a static front page.', 'magazinex-lite' ),
		  ) );
	}
}
// add_action('customize_register', 'magazinex_static_front_register');

/**
 * 	Load files.
 */
function magazinex_admin_files() {
	// Customizer
	require_once( MAGAZINEX_ADMIN_DIR . 'customizer.php' );

	// Custom Controls
	require_once( MAGAZINEX_ADMIN_DIR . '/controls/ckecksorter.php' );
	require_once( MAGAZINEX_ADMIN_DIR . '/controls/dropdown-list.php' );

	// Settings
	require_once( MAGAZINEX_ADMIN_DIR . '/settings/blog-posts.php' );
	require_once( MAGAZINEX_ADMIN_DIR . '/settings/color-options.php' );
	require_once( MAGAZINEX_ADMIN_DIR . '/settings/footer-settings.php' );
	require_once( MAGAZINEX_ADMIN_DIR . '/settings/front-page-order.php' );
	require_once( MAGAZINEX_ADMIN_DIR . '/settings/front-page-sections.php' );
	require_once( MAGAZINEX_ADMIN_DIR . '/settings/google-fonts.php' );
	require_once( MAGAZINEX_ADMIN_DIR . '/settings/header-settings.php' );
	require_once( MAGAZINEX_ADMIN_DIR . '/settings/layout-options.php' );
	require_once( MAGAZINEX_ADMIN_DIR . '/settings/site-logo.php' );
	require_once( MAGAZINEX_ADMIN_DIR . '/settings/site-title.php' );

	// Helper
	require_once( MAGAZINEX_ADMIN_DIR . '/controls/helper/ckecksorter.php' );
}
add_action( 'init', 'magazinex_admin_files' );

/**
 * 	Get default values.
 */
function magazinex_option_defaults( $key = 'all' ) {
	$defaults = apply_filters( 'magazinex_option_defaults', array() );
	if( 'all' != $key ) {
		return isset( $defaults[$key] ) ? $defaults[$key] : NULL;
	}
	return $defaults;
}

/**
 * 	Retrieve and display value.
 * 	Replacement: get_theme_mod( $key ) - magazinex( $key )
 */
function magazinex( $key = '', $default = null, $echo = false ) {
	$value  = get_theme_mod( $key, $default );
	$output = ( $value != $default ) ? $value : magazinex_option_defaults( $key );
	if( $echo ) {
		echo $output;
	}
	else {
		return $output;
	}
}