<?php
/**
 * Dropdown list.
 */

/**
 * Category List.
 */
function magazinex_customizer_category_list( $args = array() ) {
	$args = wp_parse_args( $args, array( 'hide_empty' => 1 ) );
	$cats = get_categories( $args );
	$output = array();
	$output[''] = esc_html__( '&mdash; Select &mdash;', 'magazinex-lite' );
	foreach( $cats as $cat ) {
		$output[$cat->term_id] = sprintf('%s (%s)', $cat->name, $cat->count );
	}
	return $output;
}

/**
 * Tag List.
 */
function magazinex_customizer_tag_list( $args = array() ) {
	$args = wp_parse_args( $args, array( 'hide_empty' => 1 ) );
	$tags = get_tags( $args );
	$output = array();
	$output[''] = esc_html__( '&mdash; Select &mdash;', 'magazinex-lite' );
	foreach( $tags as $tag ) {
		$output[$tag->term_id] = sprintf('%s (%s)', $tag->name, $tag->count );
	}
	return $output;
}

/**
 * Post Formats.
 */
function magazinex_customizer_post_format() {
	$output = array(
		  'post-format-video'       => __( 'Video', 'magazinex-lite' ),
		  'post-format-audio'       => __( 'Audio', 'magazinex-lite' ),
		  'post-format-image'       => __( 'Image', 'magazinex-lite' ),
	);
	return $output;
}

/**
 * Featured Cat Layout.
 */
function magazinex_customizer_featured_category_layout() {
	$output = array(
		  'boxed'       => __( 'Post Boxed', 'magazinex-lite' ),
		  'metro'       => __( 'Metro Box', 'magazinex-lite' ),
	);
	return $output;
}

/**
 * Number Post.
 */
function magazinex_number_post() {
	$output = array(
		  '3'       => '3',
		  '4'       => '4',
		  '6'       => '6',
		  '9'       => '9',
		  '10'     => '10',
	);
	return $output;
}

/**
 * Number Length.
 */
function magazinex_number_length() {
	$output = array(
		  '5'       => '5',
		  '7'       => '7',
		  '9'       => '9',
		  '12'       => '12',
	);
	return $output;
}

/**
 * Font weight list.
 */
function magazinex_customizer_font_weight_list() {
	$output = array(
			'100'       => __( 'Ultra Light', 'magazinex-lite' ),
			'200'       => __( 'Light', 'magazinex-lite' ),
			'300'       => __( 'Book', 'magazinex-lite' ),
			'400'       => __( 'Regular', 'magazinex-lite' ),
			'500'       => __( 'Medium', 'magazinex-lite' ),
			'600'       => __( 'Semi-Bold', 'magazinex-lite' ),
			'700'       => __( 'Bold', 'magazinex-lite' ),
			'800'       => __( 'Extra Bold', 'magazinex-lite' ),
			'900'       => __( 'Ultra Bold', 'magazinex-lite' )
	);
	return $output;
}

/**
 * Font size list.
 */
function magazinex_customizer_font_size_list() {
	$output = array(
		  	'12'       => esc_html__( '12px', 'magazinex-lite' ),
		  	'14'       => esc_html__( '14px', 'magazinex-lite' ),
		  	'16'       => esc_html__( '16px', 'magazinex-lite' ),
		  	'18'       => esc_html__( '18px', 'magazinex-lite' ),
		  	'20'       => esc_html__( '20px', 'magazinex-lite' ),
		  	'22'       => esc_html__( '22px', 'magazinex-lite' ),
		  	'24'       => esc_html__( '24px', 'magazinex-lite' ),
		  	'28'       => esc_html__( '28px', 'magazinex-lite' ),
	);
	return $output;
}