<?php
/**
 * 	Helper/Sanitize for sortable multi-check boxes custom control.
 * 	choice items
 */

function magazinex_sorter(){

	$sorters = array();

	$sorters['content'] = array(
		'id'       => 'content',
		'label'    => __( 'Page Content', 'magazinex-lite' ),
		// 'callback' => '',
	);

	$sorters['sticky'] = array(
		'id'       => 'sticky',
		'label'    => __( 'Sticky Posts', 'magazinex-lite' ),
		// 'callback' => '',
	);

	$sorters['featured-cat'] = array(
		'id'       => 'featured-cat',
		'label'    => __( 'Featured Category', 'magazinex-lite' ),
		// 'callback' => '',
	);

	$sorters['featured-format'] = array(
		'id'       => 'featured-format',
		'label'    => __( 'Featured Format', 'magazinex-lite' ),
		// 'callback' => '',
	);

	$sorters['recent-posts'] = array(
		'id'       => 'recent-posts',
		'label'    => __( 'Recent Posts', 'magazinex-lite' ),
		// 'callback' => '',
	);

	return apply_filters( 'magazinex_sorter', $sorters );
}


/**
 * 	Utility: Default sorters to use in customizer default value.
 * 	@return string
 *--------------------------------------------------------------------------------------------*/
function magazinex_sorter_default(){
	$default = array();
	$sorters = magazinex_sorter();
	foreach( $sorters as $sorter ){
		$default[] = $sorter['id'] . ':0'; /* activate all as default. */
	}
	return apply_filters( 'magazinex_sorter_default', implode( ',', $default ) );
}

/**
 *	Sanitize.
 *--------------------------------------------------------------------------------------------*/
function magazinex_sorter_sanitaze( $input ) {
	$output = array();
	$valid_sorters = magazinex_sorter();
	$sorters = explode( ',', $input );

	if( ! $sorters ){
		return null;
	}
	foreach( $sorters as $sorter ){

		$sorter = explode( ':', $sorter );

		if( isset( $sorter[0] ) && isset( $sorter[1] ) ){
			if( array_key_exists( $sorter[0], $valid_sorters ) ){
				$status = $sorter[1] ? '1' : '0';
				$output[] = trim( $sorter[0] . ':' . $status );
			}
		}

	}

	return trim( esc_attr( implode( ',', $output ) ) );
}