<?php
/**
 * @package Magazinex
 */
function magazinex_customizer_frontpage_section( $options ) {
	/**
	 *	Add Panel.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'front_page_section',
		  'opt_type'    => 'panel',
		  'name'        => esc_html__( 'Front Page Sections', 'magazinex-lite' ),
		  'description' => esc_html__( 'The options of the sections of the Front Page template.', 'magazinex-lite' ),
		  'priority'    => 102,
	);

	/**
	 *	Page Content.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'section_content',
		  'opt_type'    => 'section',
		  'name'        => esc_html__( 'Page Content', 'magazinex-lite' ),
		  'panel'       => 'front_page_section',
	);

	# Page Content Options.
	$post_settings = array(
		  'hide_frontpage_title'      => esc_html__( 'Hide Page Title', 'magazinex-lite' ),
	);
	foreach( $post_settings as $key => $name ) {
		$options[] = array(
			  'slug'        => $key,
			  'opt_type'    => 'checkbox',
			  'name'        => $name,
			  'default'     => 0,
			  'section'     => 'section_content',
		);
	}

	/**
	 *	Sticky Posts.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'section_sticky_posts',
		  'opt_type'    => 'section',
		  'name'        => esc_html__( 'Sticky Posts Slider', 'magazinex-lite' ),
		  'description' => esc_html__( 'Sticky Posts slider will work if you have at least two sticky post with Featured Image.', 'magazinex-lite' ),
		  'panel'       => 'front_page_section',
	);

	# Slide Height.
	$layout_set = array(
		  '350'      => esc_html__( '350px', 'magazinex-lite' ),
		  '450'      => esc_html__( '450px', 'magazinex-lite' ),
		  '550'      => esc_html__( '550px', 'magazinex-lite' ),
		  '650'      => esc_html__( '650px', 'magazinex-lite' ),
	);
	$options[] = array(
		  'slug'        => 'sticky_posts_height',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Slide Height', 'magazinex-lite' ),
		  'choices'     => $layout_set,
		  'default' => '350',
		  'section'     => 'section_sticky_posts',
		  'transport'   => 'refresh',
		  'css_output'  => array(
				array( 
					'class' => '#slider',
					'style' => 'height',
					'mix' => 'px'
				         )
				)
	);

	# Excerpt length.
	$layout_set = array(
		  '0'      => esc_html__( 'w/o excerpt', 'magazinex-lite' ),
		  '9'      => esc_html__( '9 words', 'magazinex-lite' ),
		  '15'      => esc_html__( '15 words', 'magazinex-lite' ),
		  '20'      => esc_html__( '20 words', 'magazinex-lite' ),
		  '40'      => esc_html__( '40 words', 'magazinex-lite' ),
	);
	$options[] = array(
		  'slug'        => 'sticky_posts_length',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Slide Height', 'magazinex-lite' ),
		  'choices'     => $layout_set,
		  'default' => '9',
		  'section'     => 'section_sticky_posts',
		  'transport'   => 'refresh'
	);

	# Slide Options.
	$post_settings = array(
		  'hide_slide_author'      => esc_html__( 'Hide Author', 'magazinex-lite' ),
		  'hide_slide_date'      => esc_html__( 'Hide Date', 'magazinex-lite' ),
		  'hide_slide_more'      => esc_html__( 'Hide Read More', 'magazinex-lite' ),
	);
	foreach( $post_settings as $key => $name ) {
		$options[] = array(
			  'slug'        => $key,
			  'opt_type'    => 'checkbox',
			  'name'        => $name,
			  'default'     => 0,
			  'section'     => 'section_sticky_posts',
		);
	}

	/**
	 *	Featured Category.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'section_featured_cat',
		  'opt_type'    => 'section',
		  'name'        => esc_html__( 'Featured Category', 'magazinex-lite' ),
		//  'description' => esc_html__( '...', 'magazinex-lite' ),
		  'panel'       => 'front_page_section',
	);

	# Select Category.
	$options[] = array(
		  'slug'        => 'featured_cat',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Featured Category', 'magazinex-lite' ),
		  'choices'     => magazinex_customizer_category_list(),
		  'section'     => 'section_featured_cat',
		  'transport'   => 'refresh'
	);

	# Select Layout.
	$options[] = array(
		  'slug'        => 'featured_category_layout',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Block Layout', 'magazinex-lite' ),
		  'choices'     => magazinex_customizer_featured_category_layout(),
		  'default'     => 'boxed',
		  'section'     => 'section_featured_cat',
		  'transport'   => 'refresh'
	);

	# Featured Post Boxed Options.
	$post_settings = array(
		  'hide_featured_author'      => esc_html__( 'Hide Author', 'magazinex-lite' ),
		  'hide_featured_date'      => esc_html__( 'Hide Date', 'magazinex-lite' ),
		  'hide_featured_more'      => esc_html__( 'Hide Read More', 'magazinex-lite' ),
	);
	foreach( $post_settings as $key => $name ) {
		$options[] = array(
			  'slug'        => $key,
			  'opt_type'    => 'checkbox',
			  'name'        => $name,
			  'default'     => 0,
			  'section'     => 'section_featured_cat',
		);
	}

	/**
	 *	Latest Posts.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'section_latest_posts',
		  'opt_type'    => 'section',
		  'name'        => esc_html__( 'Latest Posts', 'magazinex-lite' ),
		  'panel'       => 'front_page_section',
	);

	# Latest Posts Section Title.
	$options[] = array(
		  'slug'        => 'latest_posts_title',
		  'opt_type'    => 'text',
		  'name'        => esc_html__( 'Section Title', 'magazinex-lite' ),
		//  'description' => esc_html__( '...', 'magazinex-lite' ),
		  'default'     => esc_html__( 'More News', 'magazinex-lite' ),
		  'section'     => 'section_latest_posts',
		  'transport'   => 'refresh',
	);

	# Number Post.
	$options[] = array(
		  'slug'        => 'number_latest_posts',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Number Post', 'magazinex-lite' ),
		  'description' => esc_html__( 'How many posts to show?', 'magazinex-lite' ),
		  'choices'     => magazinex_number_post(),
		  'default'     => '6',
		  'section'     => 'section_latest_posts',
		  'transport'   => 'refresh'
	);

	/**
	 *	Featured Format.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'section_format_posts',
		  'opt_type'    => 'section',
		  'name'        => esc_html__( 'Featured Format', 'magazinex-lite' ),
		  'panel'       => 'front_page_section',
	);

	# Featured Format Section Title.
	$options[] = array(
		  'slug'        => 'format_posts_title',
		  'opt_type'    => 'text',
		  'name'        => esc_html__( 'Section Title', 'magazinex-lite' ),
		  'default'     => esc_html__( 'Featured Video', 'magazinex-lite' ),
		  'section'     => 'section_format_posts',
		  'transport'   => 'refresh',
	);

	# Select Format.
	$options[] = array(
		  'slug'        => 'format_posts',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Select Posts Format', 'magazinex-lite' ),
		  'choices'     => magazinex_customizer_post_format(),
		  'default'     => 'post-format-video',
		  'section'     => 'section_format_posts',
		  'transport'   => 'refresh'
	);

	# Number Post.
	$options[] = array(
		  'slug'        => 'number_format_posts',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Number Post', 'magazinex-lite' ),
		  'description' => esc_html__( 'How many posts to show?', 'magazinex-lite' ),
		  'choices'     => magazinex_number_post(),
		  'default'     => '3',
		  'section'     => 'section_format_posts',
		  'transport'   => 'refresh'
	);
	
	return $options;
}
add_filter( 'magazinex_settings_input', 'magazinex_customizer_frontpage_section' );