<?php
/**
 * Returns the front-page layout of the featured category components
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$category = esc_attr( get_theme_mod( 'featured_cat' ) );
	if ( $category ) {
?>

<section id="featured-category" class="post-container metro-box-wrap clearfix">

		<?php
			// Query Posts
			global $post;
			$magazinex_query = new WP_Query( array(
				'post_type'		=> 'post',
				'posts_per_page'		=> 5, // $number,
				'no_found_rows'		=> true,
				'category__in' 		=> $category,
				'meta_key'		=> '_thumbnail_id',
				'ignore_sticky_posts'		=> 1,
			) );

			// Loop through posts
			if ( $magazinex_query->have_posts() ) {
			$excerpt_length = 20;
			$count = 0; ?>


					<?php foreach( $magazinex_query->posts as $post ) : setup_postdata( $post );
						if ( has_post_thumbnail() ) { ?>
							<article class="box">
								
								<div class="boxInner">
									<?php the_post_thumbnail( 'large' ); ?>
									<div class="titleBox">
										<a href="<?php the_permalink(); ?>"><?php the_title( '<h3>', '</h3>' ); ?></a>

										<?php if( get_theme_mod('hide_featured_date') != true ) { ?>
											<?php magazinex_human_date(); ?>
										<?php } ?>

										<?php if( get_theme_mod('hide_featured_author') != true ) { ?>
											<?php magazinex_posted_by(); ?>
										<?php } ?>

										<p><?php echo wp_trim_words( get_the_content(), 7, '&hellip;' ); ?></p>

										<?php if( get_theme_mod('hide_featured_more') != true ) { ?>
											<a href="<?php the_permalink(); ?>">
												<?php esc_attr_e( 'Read More', 'magazinex-lite' ); ?>
											</a>
										<?php } ?>

									</div>
								</div>
								
							</article>
					<?php
						} ?>
					<?php endforeach; ?>

		<?php
			}

			// Reset post data
			wp_reset_postdata(); ?>

</section>
<?php
	} // if $category ?>