<?php
/**
 * Returns the front-page layout of the featured category components
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
} ?>

<section class="category-posts-grid">
<?php
	if ( get_theme_mod( 'latest_posts_title' ) ) { ?>
	<div class="front-section-title">
		<h3 class="section-title"><?php echo esc_html( get_theme_mod( 'latest_posts_title',  esc_html__( 'More News', 'magazinex-lite' ) ) ); ?></h3>
	</div>
<?php
	} ?>

<?php get_template_part( 'partials/front-page/post-wrap', 'start' ); ?>
		<?php
			$number = esc_attr( get_theme_mod( 'number_latest_posts' ) );
			$exclude_ids = array( 
					esc_attr( get_theme_mod( 'featured_cat' ) ),
					esc_attr( get_theme_mod( 'top_cat_one' ) ),
					esc_attr( get_theme_mod( 'top_cat_two' ) ),
					esc_attr( get_theme_mod( 'top_cat_three' ) )
			);
			// Query Posts
			global $post;
			$magazinex_query = new WP_Query( array(
				'post_type'	=> 'post',
				'posts_per_page'	=> $number,
				// 'ignore_sticky_posts'	=> 1,
				'category__not_in'	=> array( $exclude_ids )
			) );

			// Loop through posts
			if ( $magazinex_query->have_posts() ) {
				foreach( $magazinex_query->posts as $post ) : setup_postdata( $post ); ?>
					<?php get_template_part( 'partials/front-page/content-template' ); ?>
				<?php endforeach; ?>

		<?php
			}

			// Reset post data
			wp_reset_postdata(); ?>
<?php get_template_part( 'partials/front-page/post-wrap', 'end' ); ?>
</section>