<?php
/**
 * Returns the page layout components
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post-boxed">
		<?php magazinex_post_preview(); ?>
			<div class="boxed-entry-content">

				<header class="entry-header clearfix">
					<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
				</header><!-- .entry-header -->

				<div class="entry-content clearfix">
					<?php
						the_content();
						wp_link_pages( array(
								'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'magazinex-lite' ),
								'after'  => '</div>',
								) ); ?>
				</div><!-- .entry-content -->
				<footer class="entry-footer">
					<?php
						edit_post_link(
							sprintf(
							/* translators: %s: Name of current post */
							esc_html__( 'Edit %s', 'magazinex-lite' ),
							the_title( '<span class="screen-reader-text">"', '"</span>', false )
								),
							'<span class="edit-link">',
							'</span>'
							); ?>
				</footer><!-- .entry-footer -->

		</div><!-- .boxed-entry-content -->
	</div>
</article><!-- #post-## -->