<?php
/**
 * The Template part displaying Author bios.
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Author description required
if ( $description = get_the_author_meta( 'description' ) ) : ?>

	<div class="author-info boxed-content clearfix">
		<div class="author-info-inner clearfix">

			<div class="author-info-avatar">
				<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>" title="<?php esc_attr_e( 'Author Page', 'magazinex-lite' ); ?>"><?php echo get_avatar( get_the_author_meta( 'user_email' ), 70 ); ?></a>
			</div>

			<h4 class="author-info-heading" itemscope itemtype="http://schema.org/Person"><?php esc_attr_e( 'Article published by', 'magazinex-lite' ); ?> <span itemprop="author" itemscope itemtype="http://schema.org/Person"><span itemprop="name"><?php echo strip_tags( get_the_author() ); ?></span></span></h4>

			<div class="author-info-content clearfix">
				<p><?php echo wp_kses( $description, 'html' ); ?></p>
			</div>

		</div><!-- .author-info-inner -->

	</div>

<?php endif; ?>